# Class CryptoCurrency

#### Hierarchy

- unknown
  - CryptoCurrency

- Defined in src/protobuf/pb_pb.d.ts:7505
- Defined in src/protobuf/pb_pb.d.ts:7517

#####
Index

### Constructors

constructor

### Methods

getIsAsset
serializeBinary
setIsAsset
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CryptoCurrency(): CryptoCurrency

- #### Returns CryptoCurrency

  Inherited from jspb.Message.constructor

## Methods

### getIsAsset

- getIsAsset(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7506

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7509

### setIsAsset

- setIsAsset(value: boolean): CryptoCurrency

- #### Parameters

  - ##### value: boolean

  #### Returns CryptoCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7507

### toObject

- toObject(includeInstance?: boolean): CryptoCurrency.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CryptoCurrency.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7510

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CryptoCurrency

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CryptoCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7513

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CryptoCurrency, reader: BinaryReader): CryptoCurrency

- #### Parameters

  - ##### message: CryptoCurrency

  - ##### reader: BinaryReader

  #### Returns CryptoCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7514

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CryptoCurrency, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CryptoCurrency

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7512

### `Static` toObject

- toObject(includeInstance: boolean, msg: CryptoCurrency): CryptoCurrency.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CryptoCurrency

  #### Returns CryptoCurrency.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7511

Generated using TypeDoc